com.cloudera.flume.handlers.thrift

## Class ThriftFlumeEventServer.AsyncClient.Factory

- java.lang.Object
- - com.cloudera.flume.handlers.thrift.ThriftFlumeEventServer.AsyncClient.Factory

- All Implemented Interfaces:
    org.apache.thrift.async.TAsyncClientFactory<ThriftFlumeEventServer.AsyncClient>
  Enclosing class:
    ThriftFlumeEventServer.AsyncClient

      public static class ThriftFlumeEventServer.AsyncClient.Factory
      extends Object
      implements org.apache.thrift.async.TAsyncClientFactory<ThriftFlumeEventServer.AsyncClient>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftFlumeEventServer.AsyncClient.Factory(org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.protocol.TProtocolFactory protocolFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThriftFlumeEventServer.AsyncClient` | `getAsyncClient(org.apache.thrift.transport.TNonblockingTransport transport)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftFlumeEventServer.AsyncClient.Factory

          public ThriftFlumeEventServer.AsyncClient.Factory(org.apache.thrift.async.TAsyncClientManager clientManager,
                                                    org.apache.thrift.protocol.TProtocolFactory protocolFactory)

  - ### Method Detail

    - #### getAsyncClient

          public ThriftFlumeEventServer.AsyncClient getAsyncClient(org.apache.thrift.transport.TNonblockingTransport transport)

      Specified by:
        `getAsyncClient` in interface `org.apache.thrift.async.TAsyncClientFactory<ThriftFlumeEventServer.AsyncClient>`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.